/**
 * This file is part of osso-email-search-plugin
 *
 * Copyright (c) 2006 Nokia Corporation.
 * 
 * Contact: Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef __OGS_EMAIL_PLUGIN_MODEST_H__
#define __OGS_EMAIL_PLUGIN_MODEST_H__

#include <config.h>

#include <string.h>
#include <time.h>
#include <unistd.h>

#include <glib-object.h>

#include <libogs/ogs.h>
#include <libogs/ogs-text-searcher.h>
#include <libogs/ogs-file-system.h>
#include <libogs/ogs-email-hit.h>
#include "ogs-email.h"

void
email_plugin_query_modest (OgsPlugin         *plugin,
			   const gchar       *query,
			   OgsSearchContext  *context,
			   OgsFileSystem     *fs,
			   OgsSearchCategory  category,
			   OgsSearchOptions  *options);

gboolean email_plugin_delete_hit_modest (OgsPlugin *plugin,
					 OgsSearchHit *hit,
					 GError **error);

gboolean email_plugin_open_hit_modest (OgsPlugin *plugin, OgsSearchHit *hit,
				       GError **error);


#endif /* __OGS_EMAIL_PLUGIN_MODEST_H__*/
