
/**
 * This file is part of osso-email-search-plugin
 *
 * Copyright (c) 2006 Nokia Corporation.
 * 
 * Contact: Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef OGS_EMAIL_H_
#define OGS_EMAIL_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "libosso.h"
#include <log-functions.h>
#include "xml.h"
#include "common.h"
#include "utils.h"
#include "prefs_account.h"
#include "account.h"
#include "prefs.h"
#include "procmsg.h"
#include "procheader.h"
#include "defs.h"
#include "codeconv.h"
#include "folder.h"
#include "engine_errno.h"
#include "mmc_hlr.h"
#include "procmime.h"

#define OGS_EMAIL_SEARCH_PLUGIN         "ogs_email_search_plugin"
#define OGS_EMAIL_SEARCH_PLUGIN_VERSION "0.1"
#define OPEN_HIT_METHOD                 "open_hit"
#define DELETE_HIT_METHOD               "delete_hit"
#define OSSO_EMAIL                      "osso_email"
#define GET_STANDARD_FOLDERS_METHOD     "get_email_standard_folders"

#define OSSO_EMAIL_SERVICE   	"com.nokia.osso_email"
#define OSSO_EMAIL_OBJ_PATH   	"/com/nokia/osso_email"
#define STANFOLDERS_SIZE	5

#ifdef __cplusplus
}
#endif
#endif				/* OGS_EMAIL_H_ ends here */
